Subject: Re: Linux 3.3-1 out - merge window closed

From: Andrew Morton <[email-masked]>
Date: Thu, 26 Jan 2012 01:48:36 -0800

On Fri, 20 Jan 2012 15:14:52 +1100 Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Thu, 19 Jan 2012 15:58:28 -0800 Linus Torvalds <[email-masked]> wrote:
> >
> > (Stats for those that like them: 20% arch updates (arm, power, mips,
> > x86), 60% drivers (networking - wireless in particular, staging,
> > media, dri, sound, misc - including getting rid of 'struct sysdev'),
> > and 20% random stuff: filesystems, networking, perf etc)
> 
> More stats for the bored:
> 
> (I don't count merge commits below and everything is relative to v3.2)
> 
> Of the 8899 commits in v3.3-rc1, 6918 were in next-20120106 (the first
> -next based on v3.2).  A further 792 commits have the same subject line as
> commits in next-20120116 and a further 16 have the same patch-id.
> 
> This leaves 1174 commits (13%) in v3.3-rc1 that were not in next-20120106
> for some reason (not too bad really, I guess).

That's a lot.  Please name names!

I was impacted by several busted patches which had not appeared in
-next.

Also, I saw numerous patches which were significantly altered during
their trip from -next to mainline, which is cheating.  These showed up
as a massive reject storm when I attempted to git-merge linus-now with
next-from-12-hours-ago.  I went in and checked.  tools/perf was a major
culprit.

> Some will clearly be bug
> fixes, of course.  Some will be quilt trees (probably rebased before
> being sent to Linus).  Some will be patches that depend on work by others.

The quilt trees would have been eliminated by the "commits have the
same subject line" test?

I don't think this is all a huuuge problem - we sort this stuff out
fairly quickly.  But things could be improved a bit.